from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="cve_checker",
    version="0.1.1",  # Increment this version number
    author="Bassem Abidi",
    author_email="abidi.bassem@me.com",
    description="A library for checking CVE vulnerabilities in software dependencies",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/bassemAbidi/cve_checker",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
    ],
    python_requires=">=3.7",
    install_requires=[
        "aiohttp",
        "pyyaml",
        "toml",
    ],
    entry_points={
        "console_scripts": [
            "cve_checker=cve_checker.cli:main",
        ],
    },
)
